Bug 17474 - netscape and word documents
netscape and word documents
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: rpmdb-powertools (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-13 14:06 EDT by mal
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 08:47:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mal 2000-09-13 14:06:31 EDT
Does it make sense to add
wordview package from http://freshmeat.net/projects/wv/?highlight=wordview
and add to .mailcap
something like
application/msword; ns="%s"\; nf="${ns}".html\; /usr/bin/vw "${ns}" -o
"${nf}"\; netscape "file:${nf}"
so .doc attachments to letters can be viewable in one click?
Comment 1 mal 2000-09-13 15:11:55 EDT
The additional line should probably be:

application/msword; ns="%s"\; nf="${ns}".html\; /usr/bin/vw "${ns}" -o "${nf}"\;
netscape "file:${nf}" \; /bin/rm -f "${nf}"
Comment 2 Bill Nottingham 2000-11-28 00:05:34 EST
Reassigning to powertools for package addition request...
Comment 3 Ngo Than 2000-12-28 13:03:10 EST
added it to mailcap-2.1.1.
Comment 4 mal 2001-01-02 13:35:35 EST
Also check that the temporary files in /tmp are properly deleted.
This also related to images which vw may create
if word document contains a picture.
(You may specify a directory to put temporary files).

Also last time I checked the command  
netscape "file:/tmp/filename.html"
the netscape was exiting right away, so the rm was deleting the file.
Do "shift-reload" in netscape just to make sure the file was not deleted
while in use (if it was deleted - you will get "document not found" error).

If you give me a link to 
your vw rpms and mailcap string I may send more comments.
Comment 5 Andrew Bartlett 2001-01-04 02:45:31 EST
Currently RedHat 6.2 already has a command like this, but for mswordview in
netscapes 'external helpers' configuration (*very* usefull).  In any case, it
deletes the files straight away, so a 'shift+reload' gets the 'document not
found'.

Its also worth noting that while the html file is deleted, the embedded images
(named after the file-name, but with further numerical suffixes) are not
deleted.  (Prehaps we should create a directory for all this to happen in, and
delete it when its all over - hopfully after netscape loads the images.)  

Sombody needs to keep an eye on /tmp races/games here too.
Comment 6 mal 2001-01-04 12:31:04 EST
If the document is deleted right away
you will get a race on slow computers.
The document may be deleted BEFORE it was rendered.
You may add 
seep 600
to the end of command, so .html file will exist for at least 10 minutes.
Or, better option, replace netscape by somenthing better.
It crashes all the time and in many cases virtually unsuable.
Comment 7 mal 2001-01-08 13:24:29 EST
A good idea may be to replace
"netscape" to
"gnome-help-browser"
in which case everything works OK.

Note You need to log in before you can comment on or make changes to this bug.